---> RTK_BANDS <--- %W% %G%
-- Bands Demonstration of RTKs.

-- Copyright (C) 1991, the Florida State University.

-- This code was produced by FSU students and faculty, working with
-- support from the Florida High Technology Council.

-- Permission to copy and distribute this code entire and to execute
-- it within a computer, without fee, is granted provided that this
-- is not done for commercial advantage, and that this notice of FSU
-- copyright is included.  Any other form of use requires negotiated
-- permission of the Florida State University.

-- Original Author:

-- T.P. Baker

-- Modifications: (in chronological order, oldest first)

-- none as of 17 June 1991

with MRTK;
package RTK_BANDS is
  subtype BAND_RANGE is Integer range 1..5;
  PERIOD: array (BAND_RANGE) of INTEGER:=(others=>36);
  ID: array(BAND_RANGE) of MRTK.VP_ID;
  KBD_ID, TICKER_ID: MRTK.VP_ID;
  procedure BAND;          -- threads 1..5
  procedure KBD_SERVICE;   -- thread 6
  procedure TICKER;        -- thread 7
  procedure INIT_SCREEN;
  procedure IDLE;

end RTK_BANDS;
